Lua_ForenoticeDetailWindow = class("Lua_ForenoticeDetailWindow", Lua_Window);
function  Lua_ForenoticeDetailWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_ForenoticeDetailWindow";
	self.skinName = "ForenoticeDetailWindow_skin";
	self.blackAlpha = 1 / 255;
	self.isModel = false;
	self.isClickClose = true;
end

function  Lua_ForenoticeDetailWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.showIcon:setEnable(false);
	self.titleLab.text = LanUtil.getValue(123200);
end

function Lua_ForenoticeDetailWindow:showWin(param)
	self:setFootAni(false);
	
	local config = getConfig({"func_open", param});
	if config.picture_or_model ~= nil then
		if self.modelEffect ~= nil then
			self.modelEffect:dispose();
			self.modelEffect = nil;
		end
		
		if config.picture_or_model == 2 then
			local modelName = config.trailer_detail_model[DataCenter.roleData.career];
			if self.modelEffect == nil then
				self.modelEffect = UICreate.createUIEffect(self.content, "", "", 0, 0);
				self.modelEffect:SetRenderQueue(self.deskBg, 1, 2, false);
			end
			self.modelEffect:setUrl("/mounts/"..modelName, tostring(modelName));
			
			local pos = config.trailer_detail_model_pos;
			if pos ~= nil then
				self.modelEffect:setLocation(pos[1], pos[2], pos[3]);
			end
			local rot = config.trailer_detail_model_rot;
			if rot ~= nil then
				self.modelEffect:setRot(rot[1], rot[2], rot[3]);
			end
			local scale = config.trailer_detail_model_scale;
			if scale ~= nil then
				self.modelEffect:setSacle(scale[1], scale[2], scale[3]);
			end

			if param == 10050 then -- 法宝模型要一直在待机状态
				self.modelEffect:setAction(1);
			elseif param == 10025 then -- 足迹模型要循环播放
				-- self.modelEffect:setLoop(true);
				self:setFootAni(true);
			end
		elseif config.picture_or_model == 1 then
			self.showIcon:setAltas(config.trailer_left_icon[1], config.trailer_left_icon[2])
		end
		self.descTxt.text = config.trailer_open_desone;
		self.condTxt.text = config.trailer_open_destwo;
	end
	self.showIcon:setEnable(config.picture_or_model ~= nil and config.picture_or_model == 1);
end

function Lua_ForenoticeDetailWindow:setFootAni(val)
	if val then
		Lua_CommonUtil.addTimer("ForenoticeDetailModelEffect", 2, self, self.effectLoop);
	else
		Lua_CommonUtil.removeTimer(self, self.effectLoop);
	end
end

function Lua_ForenoticeDetailWindow:effectLoop()
    if self.modelEffect == nil then
    	return;
    end

    local effectRoot = self.modelEffect.mainContent;
    if effectRoot ~= nil then
        effectRoot:SetActive(false);
        effectRoot:SetActive(true);
    end
end

function Lua_ForenoticeDetailWindow:dispose()
	if self.modelEffect ~= nil then
		self.modelEffect:dispose();
		self.modelEffect = nil;
	end
	self:setFootAni(false);

	self:superCall("dispose");
end